%define debug_package %{nil}

%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%endif

Name:           KStrike
Summary: 	%{summary} for Python %{python3_pkgversion}
Version:        20210624
Release:        1%{?dist}
Summary:        Stand-alone parser for User Access Logging from Server 2012 and newer systems

License:        GNU GPL v3 or later and BSD-like with acknowledgment clause
URL:            https://github.com/brimorlabs/KStrike
Source0:        %{name}-%{version}.tar.gz
Obsoletes:      platform-python-%{name} < %{version}-%{release}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  dos2unix
Requires:	libesedb-python%{python3_pkgversion}
BuildArch:	noarch

%description
This script will parse data from the User Access Logging files contained on Windows Server 2012
and newer systems, found under the path "\Windows\System32\Logfiles\SUM" (please visit the KPMG
blog post at https://advisory.kpmg.us/blog/2021/digital-forensics-incident-response.html for
more details). For documentation on these files, please visit the official documentation page at
https://docs.microsoft.com/en-us/windows-server/administration/user-access-logging/manage-user-access-logging.

%description
This script will parse data from the User Access Logging files contained on Windows Server 2012
and newer systems, found under the path "\Windows\System32\Logfiles\SUM" (please visit the KPMG
blog post at https://advisory.kpmg.us/blog/2021/digital-forensics-incident-response.html for
more details). For documentation on these files, please visit the official documentation page at
https://docs.microsoft.com/en-us/windows-server/administration/user-access-logging/manage-user-access-logging.

%prep
%autosetup

%build
dos2unix < %{name}.py > %{name}
sed --in-place '1s/python$/python3/' %{name}

%install
%{__install} -Dp -m755 %{name} %{buildroot}%{_bindir}/%{name}
ln %{buildroot}%{_bindir}/%{name} %{buildroot}%{_bindir}/%{name}.py

%files
%license LICENSE.md
%doc README.md
%{_bindir}/%{name}*

%changelog
* Fri Jul 23 2021 Lawrence R. Rogers <lrr@cert.org> - 20210624-1
- Release 20210624-1
	Initial release
